Bug 506404 - Switching Runlevel causes Disfunctional Function Keys
Switching Runlevel causes Disfunctional Function Keys
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-17 02:37 EDT by Eli Wapniarski
Modified: 2010-06-28 09:05 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:05:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf (2.88 KB, text/plain)
2009-06-27 13:14 EDT, Eli Wapniarski
no flags Details
dmesg (30.81 KB, text/plain)
2009-06-27 13:15 EDT, Eli Wapniarski
no flags Details
most recent xorg.0.log (14.78 KB, text/plain)
2009-06-27 13:17 EDT, Eli Wapniarski
no flags Details

  None (edit)
Description Eli Wapniarski 2009-06-17 02:37:16 EDT
I boot my computer with runlevel 5. If I logout then switch to runlevel 3 switch back to runlevel 5 then log back in and then press [ctrl][alt][fn] nothing happens.

I need to reboot my computer before session switching becomes possible again.

This happens regardless of the user that logs in or the session type that I log into. Also, I've checked with the evdev driver and kbd driver.

As you can imagine, this is driving me a little batty.
Comment 1 Matěj Cepl 2009-06-27 10:01:21 EDT
OK, this is an interesting bug but I don't know much how to decipher it. So could we collect as much information as avilable?

Please attach your X server config file (/etc/X11/xorg.conf, if available), /var/log/dmesg, and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Eli Wapniarski 2009-06-27 13:14:42 EDT
Created attachment 349664 [details]
xorg.conf
Comment 3 Eli Wapniarski 2009-06-27 13:15:27 EDT
Created attachment 349665 [details]
dmesg
Comment 4 Eli Wapniarski 2009-06-27 13:17:38 EDT
Created attachment 349666 [details]
most recent xorg.0.log

This is the most recent xorg.*.log file do you want me to attach all the log files?


Done
Comment 5 Eli Wapniarski 2009-06-27 13:18:03 EDT
(In reply to comment #1)
> OK, this is an interesting bug but I don't know much how to decipher it. So
> could we collect as much information as avilable?
> 
> Please attach your X server config file (/etc/X11/xorg.conf, if available),
> /var/log/dmesg, and X server log file (/var/log/Xorg.*.log) to the bug report
> as individual uncompressed file attachments using the bugzilla file attachment
> link below.
> 
> We will review this issue again once you've had a chance to attach this
> information.
> 
> Thanks in advance.  

As you please :)
Comment 6 Matěj Cepl 2009-11-05 13:32:19 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 7 Eli Wapniarski 2009-11-06 01:47:39 EST
The updates available at updates-testing for F11 did not fix the problem.

rpm -qa | grep xorg
xorg-x11-drv-ast-0.87.0-2.fc11.x86_64
xorg-x11-xfs-1.0.5-5.fc11.x86_64     
xorg-x11-xauth-1.0.2-6.fc11.x86_64   
xorg-x11-xfwp-1.0.1-8.fc11.x86_64    
xorg-x11-drv-ati-6.12.2-14.fc11.x86_64
xorg-x11-drv-ark-0.7.1-2.fc11.x86_64  
xorg-x11-xfs-utils-1.0.5-5.fc11.x86_64
xorg-x11-drv-evdev-2.2.6-1.fc11.x86_64
xorg-x11-drv-s3virge-1.10.2-2.fc11.x86_64
xorg-x11-drv-i128-1.3.0-2.fc11.x86_64    
xorg-x11-drv-openchrome-0.2.904-1.fc11.1.x86_64
xorg-x11-drv-trident-1.3.1-2.fc11.x86_64       
xorg-x11-proto-devel-7.4-15.fc11.noarch        
xorg-x11-utils-7.4-4.fc11.x86_64               
xorg-x11-drv-chips-1.2.2-1.fc11.x86_64         
xorg-x11-fonts-ethiopic-7.2-8.fc11.noarch      
xorg-x11-drv-nv-2.1.13-1.fc11.x86_64           
xorg-x11-drv-glint-1.2.2-2.fc11.x86_64         
xorg-x11-xsm-1.0.2-9.fc11.x86_64               
xorg-x11-drv-cirrus-1.2.0-6.fc11.x86_64        
xorg-x11-fonts-misc-7.2-8.fc11.noarch          
xorg-x11-font-utils-7.2-7.fc11.x86_64          
xorg-x11-drv-dummy-0.3.1-2.fc11.x86_64         
xorg-x11-fonts-ISO8859-15-100dpi-7.2-8.fc11.noarch
xorg-x11-xtrans-devel-1.2.2-2.fc11.noarch         
xorg-x11-server-devel-1.6.4-0.3.fc11.x86_64       
xorg-x11-drv-fbdev-0.4.0-4.fc11.x86_64            
xorg-x11-drv-s3-0.6.1-2.fc11.x86_64               
xorg-x11-fonts-cyrillic-7.2-8.fc11.noarch         
xorg-x11-drv-nouveau-0.0.12-41.20090528git0c17b87.fc11.x86_64
xorg-x11-drv-penmount-1.4.0-2.fc11.x86_64                    
xorg-x11-drv-vmware-10.16.0-3.fc11.x86_64                    
xorg-x11-fonts-100dpi-7.2-8.fc11.noarch                      
xorg-x11-drv-voodoo-1.2.1-2.fc11.x86_64                      
xorg-x11-server-source-1.6.4-0.3.fc11.x86_64                 
xorg-x11-drv-vesa-2.2.0-3.fc11.x86_64                        
xorg-x11-drv-aiptek-1.2.0-1.fc11.x86_64                      
xorg-x11-drv-apm-1.2.1-2.fc11.x86_64                         
xorg-x11-server-common-1.6.4-0.3.fc11.x86_64                 
xorg-x11-drv-sisusb-0.9.1-2.fc11.x86_64                                                                                                                      
xorg-x11-util-macros-1.2.1-2.fc11.noarch
xorg-x11-fonts-ISO8859-1-100dpi-7.2-8.fc11.noarch
xorg-x11-drv-siliconmotion-1.7.0-1.fc11.x86_64
xorg-x11-fonts-75dpi-7.2-8.fc11.noarch
xorg-x11-drv-mutouch-1.2.1-2.fc11.x86_64
xorg-x11-twm-1.0.3-4.fc11.x86_64
xorg-x11-fonts-ISO8859-15-75dpi-7.2-8.fc11.noarch
xorg-x11-drv-sis-0.10.1-2.fc11.x86_64
xorg-x11-drv-synaptics-1.1.3-1.fc11.x86_64
xorg-x11-drv-v4l-0.2.0-2.fc11.x86_64
xorg-x11-docs-1.3-5.fc11.noarch
xorg-x11-fonts-ISO8859-9-75dpi-7.2-8.fc11.noarch
xorg-x11-server-Xorg-1.6.4-0.3.fc11.x86_64
xorg-x11-drv-acecad-1.3.0-1.fc11.x86_64
xorg-x11-drv-fpit-1.3.0-3.fc11.x86_64
xorg-x11-drv-tdfx-1.4.1-2.fc11.x86_64
xorg-x11-server-Xnest-1.6.4-0.3.fc11.x86_64
xorg-x11-drv-mach64-6.8.0-3.fc11.x86_64
xorg-x11-fonts-Type1-7.2-8.fc11.noarch
xorg-x11-filesystem-7.3-4.fc11.noarch
xorg-x11-xdm-1.1.6-10.fc11.x86_64
xorg-x11-drv-intel-2.7.0-8.fc11.x86_64
xorg-x11-resutils-7.1-7.fc11.x86_64
xorg-x11-drv-rendition-4.2.1-2.fc11.x86_64
xorg-x11-drv-avivo-0.0.1-8.fc11.x86_64
xorg-x11-fonts-ISO8859-1-75dpi-7.2-8.fc11.noarch
xorg-x11-fonts-ISO8859-14-75dpi-7.2-8.fc11.noarch
xorg-x11-apps-7.3-8.fc11.x86_64
xorg-x11-drv-r128-6.8.0-3.fc11.x86_64
xorg-x11-drv-tseng-1.2.1-2.fc11.x86_64
xorg-x11-server-Xephyr-1.6.4-0.3.fc11.x86_64
xorg-x11-drv-void-1.2.0-1.fc11.x86_64
xorg-x11-drv-elographics-1.2.3-2.fc11.x86_64
xorg-x11-drv-mga-1.4.10-1.fc11.x86_64
xorg-x11-fonts-ISO8859-2-100dpi-7.2-8.fc11.noarch
xorg-x11-server-utils-7.4-7.1.fc11.x86_64
xorg-x11-drv-i740-1.2.0-3.fc11.x86_64
xorg-x11-fonts-ISO8859-14-100dpi-7.2-8.fc11.noarch
xorg-x11-xkb-utils-7.2-8.fc11.x86_64
xorg-x11-drv-savage-2.2.1-1.fc11.x86_64
xorg-x11-fonts-ISO8859-2-75dpi-7.2-8.fc11.noarch
xorg-x11-fonts-ISO8859-9-100dpi-7.2-8.fc11.noarch
xorg-x11-server-Xdmx-1.6.4-0.3.fc11.x86_64
xorg-x11-xinit-1.0.9-9.fc11.x86_64
xorg-x11-drv-hyperpen-1.3.0-1.fc11.x86_64
xorg-x11-xbitmaps-1.0.1-7.fc11.x86_64
xorg-x11-server-Xvfb-1.6.4-0.3.fc11.x86_64
xorg-x11-drv-keyboard-1.3.2-3.fc11.x86_64
xorg-x11-drv-mouse-1.4.0-2.fc11.x86_64
xorg-x11-drv-intel-devel-2.7.0-8.fc11.x86_64
xorg-x11-drv-vmmouse-12.6.4-1.fc11.x86_64
Comment 8 Matěj Cepl 2009-11-15 19:04:36 EST
Thanks for the report. We are sorry that we cannot help you with your problem, but we are not able to support binary-only drivers. If you would be able to reproduce this issue using only open source software, please, reopen this bug with the additional information, but in meantime I have no choice than to close this bug as CANTFIX (because we really cannot fix it).

The open source 'nouveau' driver (in package xorg-x11-drv-nouveau) is the recommended alternative for users of Nvidia graphic chips.  It is used by default in Fedora 11 and later if you remove any customizations that explicitly set the video driver.  The older "nv" driver may be needed in some cases.  It is also available in older Fedora releases.  Install the packages xorg-x11-drv-nouveau or xorg-x11-drv-nv and override the X server's default choice if necessary.  See https://fedoraproject.org/wiki/Features/NouveauAsDefault for more information.

If you used a non-packaged version of the driver from the Nvidia website please clean your system from additional libraries and software it installed. For users who are experiencing problems installing, configuring, or using the unsupported 3rd party proprietary "nvidia" video driver, Nvidia provides indirect customer support via an online web based support forum.  Nvidia monitors these web forums for commonly reported problems and passes them on to Nvidia engineers for investigation.  Once they've isolated a particular problem, it is often fixed in a future video driver update.

The NVNews Nvidia Linux driver forum is located at:

	http://www.nvnews.net/vbulletin/forumdisplay.php?s=&forumid=14

Once you have reported this issue in the Nvidia web forums, others who may have experienced the particular problem may be able to assist.  If there is a real bug occuring, Nvidia will be able to determine this, and will likely resolve the issue in a future driver update for the operating system releases that they officially support.

While we does not support the proprietary nvidia driver, users requiring technical support may also find the various X.Org, XFree86, and Red Hat/Fedora mailing lists helpful in finding assistance:

X.Org mailing lists:
	http://www.freedesktop.org/XOrg/XorgMailingLists

XFree86 mailing lists:
	http://www.xfree86.org/sos/lists.html

Red Hat/Fedora mailing lists:
	https://listman.redhat.com/mailman/listinfo
Comment 9 Eli Wapniarski 2009-11-16 02:10:24 EST
I just tried it with the Nouveau drivers. Same deal.

Which leads me to another bug.... I tried to configure dual head with the supplied configuration tool. After enabling and configuring dual head and then clicking on OK.... Nothing happens.

Please don't take this as a personal ciriticism but a vent of general frustration.....no... I will not be opening another bug report, because I'm getting real tired of opening bug reports on basic QA issues.

I'm a user, not a developer. If you Linux desktop developers ever hope to make a real dent on the desktop market share you have to understand this basic fact.

Now with this issue, I didn't even see a "works for me" post in this bug report which kinda tells me it was dismissed without being checked. I'm quite certain that this isn't the case but that's the way this reads due to the politness of our interaction.

On a more personal note... I'm a user like many of us users in the community that is quite willing and happy to help you help us. But please... provide us with the feedback that gives us the impression that you are working with us. Many of us are not techies (I am so I understand the concept of limited resources and language barriesrs and misinterpretations) so patience with them is essential.

Heck if I wanted the "oh another idiot user attitude" I would have stolen a copy of Windows :)
Comment 10 Ben Skeggs 2009-11-16 19:44:49 EST
I doubt this is a video driver issue if it occurs with both nouveau and the NVIDIA binary driver.

Eli, if you *do* have a bug with nouveau enabling dual-head that's a completely separate issue and should not be tracked here.  It's not just a basic QA issue, a lot of issues are chipset-specific.  For what it's worth, that functionality works on *all* (and I have about 14 or so) my NVIDIA cards, things do get tested as well as we can.
Comment 11 Eli Wapniarski 2009-11-17 00:27:55 EST
Thank you for the feedback regarding both drivers.

As for a bug enabling dual head on the command line configuration tool, its not the dual head does not work with the nouveau. I can't tell you from personal experience (yet - I have not manually configured xorg.conf - I suspect I shouldn't have to) if it does or does not because I cannot configure it from the configuration tool. Because after I configure dual head and click on OK. Nothing happens. Is that a chipset driver issue or some bug with the tool that's supposed to configure the way I want to run my video card?
Comment 12 Bug Zapper 2010-04-27 11:00:44 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2010-06-28 09:05:23 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.